#ifndef _VGUI_BUTTON_H
#define _VGUI_BUTTON_H

/* button.h */
#include <string>

namespace VGUI
{
	class Button : public Widget
	{
	public:
		Button() {}
		Button( Widget* w );
		~Button();
		void Draw();
		void Draw( float opacity );
		bool MouseOver( float x, float y );
		string MousePress( float x, float y );
		string MouseRelease( float x, float y );
		void Press();
		void Release();

		string GetAction() { return action; }
		void SetAction( string new_action ) { action = new_action; }

	private:
		TEXTURE_HANDLE btn_up, btn_down;
		string action;
		float tex_width, tex_height;
		bool down;
	};
}


#endif // _VGUI_BUTTON_H
